import java.util.ArrayList;
import java.util.Random;

public class femalestwo {
	int duration;
	int cyclelength;
	int start;
	int internalclock;
	ArrayList<Integer> bleedingdays = new ArrayList<Integer>();  

	public femalestwo(int type) {
		int r = (int)(Math.random()*8);  // 0 to 7
		int[] d = {3, 4, 4, 4, 5, 5, 5, 6};
		duration = d[r];
		Random ran = new Random();
		cyclelength = (int)((ran.nextGaussian()*2.5)+28.7);
		start = (int)(Math.random()*cyclelength);
		internalclock = 0;
		if (type == 1) {
			for (int i = start; i < start + duration; i++) {
				bleedingdays.add(i % cyclelength);  
			}
		} else {
			bleedingdays = srbleedingdays(start, duration, cyclelength);
		}
	}

	public ArrayList srbleedingdays(int s, int d, int c) {
		ArrayList<Integer> bleedingdays = new ArrayList<Integer>();
		for (int i = s; i < s + d; i++) {
			bleedingdays.add(i % c);  
		}
		return bleedingdays;
	}
   
	public void setDuration(int d) {
		duration = d;
	}

	public int getDuration() {
		return duration;
	}

	public String toString() {
		String s = "";
		for (int i : bleedingdays) {
			s += " " + i;
		}
		return duration + "\n" + cyclelength + "\n" + start + "\n" + s.substring(1); //remove leading space
	}

	public void addday() {
		internalclock++;
	}

	public boolean calcisbleeding() {
	    for (int i : bleedingdays) {
     		if (i == internalclock % cyclelength) {
      			return true;
      		}
      	}
  		return false;
  	}

	public static void main(String[] args) {
		int type = 0;
		int howmany = 1000;
		int days = 365;		
		if (args.length == 3) {
			type = parseArgument(args[2]);
			howmany = parseArgument(args[0]);
			days = parseArgument(args[1]);			
		} else if (args.length == 2) {
			howmany = parseArgument(args[0]);
			days = parseArgument(args[1]);
		} else if (args.length == 1) {
			howmany = parseArgument(args[0]);
		}
		ArrayList<femalestwo> pop = createpop(howmany, type);
		printfullness(days, pop);
	}

	public static int parseArgument(String s) {
		int res = 0; //make sure res is something for compiler! 
		try {
		    res = Integer.parseInt(s);
		} catch (NumberFormatException e) {
		    System.err.println("argument \"" + s + "\" must be an integer");
		    System.exit(1);
		}
		return res;
	}
	
	public static ArrayList<femalestwo> createpop(int total, int type) {
		ArrayList<femalestwo> pop = new ArrayList<femalestwo>();  
		for (int i = 1; i <= total; i++) {
			femalestwo f = new femalestwo(type);
			pop.add(f);
		}
		return pop;
	}

	public static void turnearth(ArrayList<femalestwo> pop) {
		for (femalestwo f : pop) {
			f.addday();
		}
	}
	
	public static void printfullness(int days, ArrayList<femalestwo> pop) {
		for (int i = 1; i <= days; i++) {
		    int bleedingtotal = 0;
			for (femalestwo f : pop) {
//				System.out.println(f);
				if (f.calcisbleeding()) { 
					bleedingtotal += 1;
				}
			}
			System.out.println(i + " " + bleedingtotal);
			turnearth(pop);
		}	
	}
}
